<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: ef6112d (2014-09-09 16:34:06)
//

defined('_QUICK_LP') or die("Access denied");

class QLPFieldset {
	private $_defs	= array();
	public function get($key,$defaultValue='') {
		if (array_key_exists($key,$this->_defs)) {
			return $this->_defs[$key];
		}	else {
			return $defaultValue;
		}
	}
	public function set($key, $value='') {
		if (array_key_exists($key,$this->_defs)) {
			$oldValue = $this->_defs[$key];
		} else $oldValue = null;
		$this->_defs[$key] = $value;
		return $oldValue;
	}
	public function toArray() {
		return $this->_defs;
	}
}

class QLPRegistry extends QLPFieldset {
	private static $_instance = null;
	private $_cfgKeys = array();
	public static function createInstance() {
		if (self::$_instance == null) self::$_instance = new self();
	}
	public static function getInstance() {
		self::createInstance();
		return self::$_instance;
	}
}

?>