<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: c6b078d (2020-07-19 16:42:18)
//

defined('_QUICK_LP') or die("Access denied");
?>
<div class="help-panel">
<h3>Руководство пользователя</h3>
<p>Для управления системой Quick-LP Вам не нужно быть дипломированным администратором сайтов. Управлять ей просто, и в этом Вы убедитесь, прочитав это небольшое руководство пользователя.
С главной панели управления, которая находится по адресу <span style="white-space: nowrap;">http://ИМЯ_ВАШЕГО_САЙТА/manager.php</span> Вы можете выбрать интересующий Вас раздел.</p>
<p><b>Имя для входа (по умолчанию):</b> admin</p>
<p><b>Пароль для входа (по умолчанию):</b> admin</p>
<p><b class="red">Обязательно смените имя пользователя и пароль в разделе "Настройки" после первой установки системы.</b></p>
<p>Выбрав соответствующую кнопку Вы попадете в интересующий Вас раздел. Элементы управления интуитивно понятны и содержат соответствующие иконки и всплывающие подсказки. Например:<br /> 
"<span class="glyphicon glyphicon-plus"></span>" - это "Добавить",<br />
"<span class="glyphicon glyphicon-pencil"></span>" - это "Изменить",<br />
"<span class="glyphicon glyphicon-remove"></span>" - это "Удалить" и т.д.</p>
<p>Вернуться в панель управления можно нажав иконку "<span class="glyphicon glyphicon-paperclip"></span>" в верхнем левом углу страницы.</p>
<h4><span class="glyphicon glyphicon-globe"></span>Сайт</h4>
<p>Переход непосредственно на главную страницу Вашего сайта. Он откроется в новом окне или новой вкладке в зависимости от настроек Вашего браузера.</p>
<h4><a id="settings"></a><span class="glyphicon glyphicon-wrench"></span>Настройки</h4>
<p>В данном разделе находятся основные настройки Вашего сайта. Некоторые из опций содержат расшифровку своего назначения непосредственно в своем названии. Если Вы не до конца понимаете назначение какой-то из опций, то просто не меняйте ее. Значения по умолчанию подобраны исходя из оптимальной работы системы.</p> 
<ul>
<li><b>Шаблон сайта</b> - шаблон Вашего сайта</li>
<li><b>Ограничение памяти сайта</b> - системная установка, которая обычно не требует изменений</li>
<li><b>Ограничение времени сайта</b> - системная установка, которая обычно не требует изменений</li>
<li><b>Логин администратора</b> - имя пользователя, под которым Вы будете заходить в панель администрирования</li>	
<li><b>Пароль</b> - Ваш пароль</li>
<li><b>Подтверждение пароля</b> - Его подтверждение</li>
<li><b>Шаблон администратора</b> - Шаблон панели управления сайтом</li>
<li><b>Ограничение памяти панели администрирования</b> - системная установка, которая обычно не требует изменений</li>
<li><b>Ограничение времени панели администрирования</b> - системная установка, которая обычно не требует изменений</li>
<li><b>Название сайта</b> - Название Вашего сайта</li>
<li><b>Ключевые слова</b> - Ключевые слова, по которым сайт индексируется поисковыми системами</li>
<li><b>Описание сайта</b> - Краткое описание Вашего сайта</li>
<li><b>E-mail для отправки почты</b> - Адрес электронной почты, на который будут приходить письма с Вашего сайта отправляемые формами "Обратная связь" и "Заказать звонок"</li>
<li><b>Имя для отправки почты</b> - Имя, которое будет подставлено в поле отправитель писем, приходящих с Вашего сайта</li>
<li><b>Сообщение об удачной отправке почты</b> - Сообщение, которое увидит пользователь в случае удачной отправки почты</li>
<li><b>Сообщение об ошибке отправки почты</b> - Сообщение, которое увидит пользователь в случае неудачной отправки почты</li>
<li><b>SMTP имя пользователя</b> - Логин Вашей почтовой учетной записи (уточните его у Вашего администратора или провайдера)</li>
<li><b>SMTP пароль</b> - Пароль Вашей почтовой учетной записи (уточните его у Вашего администратора или провайдера)</li>
<li><b>SMTP сервер</b> - Сервер исходящей почты для Вашей почтовой учетной записи (уточните его у Вашего администратора или провайдера). Если Ваш почтовый сервер использует защищенные соединения то, например, для серверов smtp.yandex.com потребуется указать префикс защищенного соединения. Полностью имя сервера для почты  yandex.ru будет выглядеть так: ssl://smtp.yandex.com</li>
<li><b>SMTP порт</b> - Порт Вашего почтового сервера (уточните его у Вашего администратора или провайдера)</li>
<li><b>Режим отладки</b> - Режим отладки предназначен, в основном, для разработчиков и в обычном режиме работы сайта должен быть выключен</li>
<li><b>Экспериментальные функции</b> - Включает и выключает функции которые находятся в разработке и тестировании. Использовать с осторожностью, включать только на свой страх и риск.</li>
<li><b>Язык</b> - Язык интерфейса системы</li>
<li><b>Запретить масштабирование на мобильных устройствах</b> - некоторые шаблоны не всегда корректно отображаются на мобильных устройствах (планшеты, смартфоны). Включение этой опции иногда помогает исправить ситуацию.</li>
<li><b>Ключ разблокировки</b> - Quick-LP CMS свободно распространяется для некоммерческого использования. При отсутствии ключа на Вашем сайте отображается копирайт  Quick-LP CMS. Функциональность системы при этом не ограничивается. Если Вы по каким то причинам не хотите, чтобы отображался копирайт, то Вы можете приобрести ключ разблокировки у представителей разработчиков. Для коммерческого использования Quick-LP CMS - свяжитесь с разработчиками или их представителями через сайт <a href="http://quick-lp.ru/" target="_blank">http://quick-lp.ru/</a>.</li>
</ul>
<h4><a id="pages"></a><span class="glyphicon glyphicon-file"></span>Страницы</h4>
<p>В данном разделе Вы можете отредактировать текстовые блоки отображаемые на Вашем сайте. Блоки называются латинскими буквами без пробелов и имеют расширение ".txt". Если подвести мышку к названию файла, то во всплывающей подсказке Вы увидите начало текста который в нем содержится.</p>
<p>Если Вы не исправляете шаблон сайта под собственные нужды, а хотите использовать один из стандартных шаблонов или получили (купили) уже настроенный шаблон для Вашего сайта, то названия этих файлов менять не нужно.</p>
<p>После изменения названия они перестанут отображаться на главной странице Вашего сайта. Для редактирования текста предусмотрен удобный и современный визуальный редактор. Чтобы получить подробную справку по его использованию, достаточно нажать значок "Знак вопроса" на панели инструментов редактора и перейти по ссылке.</p>
<h4><a id="filemanager"></a><span class="glyphicon glyphicon-folder-open"></span>Менеджер файлов</h4>
<p>После первой установки системы "Менеджер файлов" еще не подключен. Для его подключения Вам достаточно выразить свое согласие с условиями его распространения нажав на слово "здесь". Установка пройдет в автоматическом режиме и "Менеджер файлов" откроется также автоматически. По своим характеристикам он мало чем отличается от обычного проводника Windows, поэтому работать с ним легко и привычно.
Теперь немного о структуре папок Вашего сайта.</p>
<ul>
<li><b>gallery</b> - в данной папке находятся данные которые используются виджетами "Галерея изображений" и "Слайдер". Если Вы сами ставили систему Quick-LP, то галерее изображений  будет соответствовать подпапка "gallery1", а слайдеру - подпапка "slider".
Виджеты на вашем сайте будут показывать (прокручивать) изображения из данных подпапок.
Количество показываемых (прокручиваемых) изображений зависит от того, сколько их указано в шаблоне сайта. Если Вы сами ставили систему Quick-LP, то в шаблоне по умолчанию это значение равно 4. Это означает что система будет брать случайные 4 изображения для каждого из виджетов из соответствующей подпапки.
Как видите поменять набор изображений несложно.</li>
<li><b>menu</b> - служебная папка в которой находятся настройки основного меню Вашего сайта. Как изменить эти настройки будет рассмотрено ниже. Ручное изменение файлов в этой папке может привести к неработоспособности уже настроенного меню, однако Вы всегда можете создать его заново в разделе "Меню"</li>
<li><b>media</b> - в данной папке вы можете хранить различные изображения и файлы, которые Вам могут понадобиться для более полного предоставления информации Вашим пользователям (например прайс-лист, ссылку на который Вы указали в тексте или в меню).</li>
<li><b>pages</b> - служебная папка в которой находятся тексты размещаемые на Вашем сайте. Они также не требуют редактирования-добавления-удаления через "Менеджер файлов". Для этого предназначен раздел "Страницы" рассмотренный выше.</li>
</ul>
<h4><a id="widgets"></a><span class="glyphicon glyphicon-cog"></span>Виджеты</h4>
<p>Данный раздел содержит панель включения и выключения виджетов. Виджеты, это блоки вашего сайта, которые выходят по своей функциональности за пределы простого текста. Например:</p>
<ul>
<li>Процентные круговые диаграммы.</li>
<li>Обратная связь.</li>
<li>Галерея изображений.</li>
<li>Стандартное меню.</li>
<li>Прелоадер.</li>
<li>Слайдер изображений.</li>
<li>Яндекс карты.</li>
</ul>
<h4><a id="plugins"></a><span class="glyphicon glyphicon-cog"></span>Плагины</h4>
<p>Данный раздел содержит панель включения и выключения плагинов. Плагин, это элемент системы, который явно не отображается в шаблоне сайта, но производит на нем определенные действия. Например, выводит код для защиты от роботов в форме обратной связи.</p>
<h4><a id="menus"></a><span class="glyphicon glyphicon-cog"></span>Меню</h4>
<p>В данном разделе Вы можете добавлять, изменять, удалять пункты основного меню Вашего сайта, а также менять их порядок простым перетаскиванием вверх-вниз за значок "<span class="glyphicon glyphicon-arrow-down"></span><span class="glyphicon glyphicon-arrow-up"></span>".</p>
<p>Строка пункта меню содержит 3 поля:</p>
<ul>
<li>Название</li>
<li>ID якоря в шаблоне или ссылка</li>
<li>Где открывать, если ссылка</li>
</ul>
<p>Остановимся подробнее на поле "ID якоря в шаблоне или ссылка", назначение остальных полей вытекает из их названия.</p>
<p>Поскольку все блоки Вашего сайта находятся на одной странице, то для быстрого доступа к ним из меню требуется прокрутка.
В шаблоне проставлены соответствующие якоря. Указав номер якоря в поле "ID якоря в шаблоне или ссылка" Вы сообщите системе, что при нажатии на этот пункт меню нужно выполнить прокрутку к блоку возле которого стоит данный якорь.</p>
<p>Иногда требуется в меню указать ссылку для перехода на внешний сайт или, например, на скачивание прайс-листа. Для этого достаточно вставить в это поле ссылку, просто скопировав ее из адресной строки браузера.</p>
<p>Самым сложным для пользователя обычно является использование JavaScript-функций в поле "ID якоря в шаблоне или ссылка".<br />
Например: javascript:qlp_backcall('backcall')<br />
Эта часть функционала предназначена для программистов. Она позволяет значительно расширить возможное поведение пунктов меню и требует специальных навыков. Поэтому если Вам понадобится использование (или изменение существующих) ссылок такого вида, то Вам лучше обратиться к профессионалам. Они Вам помогут значительно быстрее и без ущерба для Вашего сайта.</p>
<?php if(isset(QLPConfig::$experimentalFunctions) && QLPConfig::$experimentalFunctions) { ?>
	<h4><span class="glyphicon glyphicon-book"></span>Шаблоны</h4>
	<p>Экспериментальная функция. Находится в стадии разработки и тестировния. Используйте с осторожностью, включайте только на свой страх и риск</p>
<?php } ?>
<h4><span class="glyphicon glyphicon-home"></span>О системе</h4>
<p>Данный раздел содержит "Соглашение об использование системы Quick-LP", а также список всех использованных для написания системы компонентов, расширений и т.д., с указанием (где это известно) типов лицензий, авторов, а также ссылок на сайты разработчиков.</p>
<h4><span class="glyphicon glyphicon-flag"></span>Помощь</h4>
<p>Раздел, который Вы сейчас читаете.</p>
<h4><span class="glyphicon glyphicon-lock"></span>Выход</h4>
<p>Завершение работы и выход из панели администрирования.</p>

<h4>С уважением,<br />команда разработчиков Quick-LP CMS</h4>
</div>