<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: 755e545 (2020-07-28 09:32:36)
//

defined('_QUICK_LP') or die("Access denied");

class constructorQLPModule extends QLPSimpleObject{
	private static $_instance = null;
	private $pattern_explode = '#defined\("_QUICK_LP"\) or die\("Access denied"\);\?\>#iU';
			
	private static function createInstance() {
		if (self::$_instance == null) {
			self::$_instance = new self();
		}
	}
	public static function getInstance() {
		self::createInstance();
		return self::$_instance;
	}
	private function __construct() {
		$this->initSimpleObject();
	}
	public function proceed($task=""){
		switch ($task){
			case "modify":
				$template=QLPRequest::getSafe("template","");
				if($template) $template=base64_decode($template);
				$tmpl_header="";
				$tmpl_text="";
				$filename = QLPTemplate::getInstance()->getTemplateFile("override", "body");
				if(is_file($filename)){
					$file_text=file_get_contents($filename);
					if (preg_match($this->pattern_explode, $file_text, $matches)) {
						$body_start=$matches[0];
						$_text=explode($body_start, $file_text);
						if(count($_text)==2){
							$tmpl_header=$_text[0].$body_start;
							$tmpl_text=trim($_text[1]);
						}
					}
					$this->renderEditorForm($template, $tmpl_header, $tmpl_text,"");
				} else {
					QLPUtil::redirect("/manager.php?module=constructor", QLPText::_("File absent"));
				}
			break;	
			case "save":
				$tmpl_header = QLPRequest::get("fileheader","");
				$tmpl_text = QLPRequest::get("filecontents","");
				$file_text=$tmpl_header.PHP_EOL.PHP_EOL.$tmpl_text;
				$template=QLPRequest::getSafe("template","");
				if($template) $template=base64_decode($template);
				$file=QLP_ENGINE."tmpl".DS.$template.DS."override.php";
				if($template && file_put_contents($file, $file_text)===false){
					$message=QLPText::_("Failed to saved");
					$this->renderEditorForm($template, $tmpl_header, $tmpl_text, $message);
				} else {
					QLPUtil::redirect("/manager.php?module=constructor", QLPText::_("Saved"));
				}
			break;	
			case "delete":
				$template=QLPRequest::getSafe("template","");
				if($template){
					$filename=QLP_ENGINE."tmpl".DS.base64_decode($template).DS."override.php";
					if(is_file($filename)){
						if(unlink($filename)) $message=QLPText::_("File deleted")." :".$filename;
						else $message=QLPText::_("Unable to delete file")." :".$filename;
					} else $message=QLPText::_("Unable to delete file")." :".$filename;
				} else $message=QLPText::_("Unable to delete file");
				QLPUtil::redirect("/manager.php?module=constructor", $message);
			break;	
			default:
				echo '<div class="panel-wrapper module-constructor"><div class="row"><div class="col-md-12">';
				echo '<h1 class="panel-title table-title">'.QLPText::_("Templates").'</h1>';
				echo '<div class="table-wrapper">';
				$files=QLPFilesystem::getFolders(QLP_ENGINE."tmpl".DS, array("system"));
				echo '<div class="row row-title">
						<div class="col-xs-10 lbl">'.QLPText::_("Template name").'</div>
						<div class="col-xs-2 data"></div>
					</div>';
				foreach($files as $key=>$file){
					echo '<div class="row illuminated">
							<div class="col-xs-1 toolbuttons">'.(is_file(QLP_ENGINE."tmpl".DS.$key.DS."override.php")?'<a title="'.QLPText::_("Delete").'" class="toolbutton" onclick="if(confirm(\''.QLPText::_("Really delete").'?\')) return true; else return false; " href="/manager.php?module=constructor&amp;task=delete&amp;template='.base64_encode($key).'"><span class="glyphicon glyphicon-remove"></span></a>':'&nbsp;').'</div>
							<div class="col-xs-9 infolabel">'.$key.'</div>
							<div class="col-xs-2 toolbuttons"><a title="'.QLPText::_("Modify").'" class="toolbutton" href="/manager.php?module=constructor&amp;task=modify&amp;template='.base64_encode($key).'"><span class="glyphicon glyphicon-pencil"></span></a></div>
						</div>';
				}
				echo '</div>';
				echo '</div></div></div>';
			break;
		}
		return true;
	}
	
	private function renderEditorForm($template,$file_header,$file_text,$message){
		$label_class = 'col-sm-12 lbl';
		$data_class = 'col-sm-12 data';
		echo '<div class="panel-wrapper module-constructor"><div class="row"><div class="col-md-12">';
		echo '<form method="post" action="/manager.php">';
		echo '<input type="hidden" value="constructor" name="module">';
		echo '<input type="hidden" value="save" name="task">';
		echo '<input type="hidden" value="'.($template ? base64_encode($template) : "").'" name="template">';
		echo '<textarea style="display:none;" name="fileheader">'.htmlspecialchars($file_header).'</textarea>';
		echo '<div class="row row-form"><div class="'.$label_class.'">'.QLPText::_("Template name"),' ('.QLPText::_("in Latin").'): "'.$template.'"</div></div>';
		echo '<div class="row row-form"><div class="'.$label_class.'">'.QLPText::_("Template contents").'</div></div>';
		echo '<div class="row row-form"><div class="'.$data_class.'"><textarea class="form-control constructor" id="filecontents" name="filecontents">'.htmlspecialchars(str_replace("\t", "  ",$file_text)).'</textarea></div></div>';
		echo '<div class="buttons"><input class=\"button\" type="submit" value="'.QLPText::_("Save").'" /><a class="button" href="/manager.php?module=constructor">'.QLPText::_("Close").'</a></div>';
		echo '</form>';
		echo '</div></div></div>';
		if($message) QLPTemplate::getInstance()->addScriptDeclaration("$(document).ready(function(){ alert('".$message."'); });");
	}
}