<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: e057c26 (2020-07-19 14:55:19)
//

defined('_QUICK_LP') or die("Access denied");

class loginQLPModule extends QLPSimpleObject{
	private static $_instance = null;
			
	private static function createInstance() {
		if (self::$_instance == null) {
			self::$_instance = new self();
		}
	}
	public static function getInstance() {
		self::createInstance();
		return self::$_instance;
	}
	private function __construct() {
		$this->initSimpleObject();
	}
	private function showForm(){
		echo	'<div class="login_wrapper">
					<div id="loginForm">
						<form method="post" action="/manager.php">
							<input type="hidden" value="login" name="module">
							<input type="hidden" value="authorize" name="task">
							<p class="login_label">Login:</p>
							<p class="login_input"><input type="text" value="" name="username" class="form-control" required="required"></p>
							<p class="pwd_label">Password:</p>
							<p class="pwd_input"><input type="password" value="" name="userpass" class="form-control" required="required"></p>
							<div id="loginButtons"><input type="submit" class="commonButton" name="login" value="Enter" id="login"></div>
						</form>
					</div>
				</div>';
	}
	private function authorize(){
		if(QLPUtil::checkFlood(5)){
			QLPUtil::redirect("/manager.php",QLPText::_("Autorization error"));
		} else {
			$login=QLPRequest::getSafe("username");
			$password=QLPRequest::getSafe("userpass");
			if($login==QLPConfig::$adminLogin && $password){
				if(!isset(QLPConfig::$secret_first)) $password=md5(md5($login.$password));
				if($password==QLPConfig::$secret){
					$secret_string="";
					for($i=1;$i<30;$i++) $secret_string.=rand(1,9);
					$secret_string=base64_encode($secret_string);
					setcookie("qlpmain",$secret_string);
					$secret_string=md5($secret_string);
					QLPSession::setVar("qlpmain", $secret_string);
					QLPUtil::redirect("/manager.php");
				} else QLPUtil::redirect("/manager.php",QLPText::_("Autorization error"));
			} else QLPUtil::redirect("/manager.php",QLPText::_("Autorization error"));
		}
	}
	private function logout(){
		QLPSession::unsetVar("qlpmain");
		QLPUtil::redirect("/manager.php");
	}
	public function proceed($task=""){
		switch ($task){
			case "showForm":
				$this->showForm();
			break;
			case "authorize":
				$this->authorize();
			break;
			case "logout":
				$this->logout();
			break;
			default:
				return false;
			break;
		}
		return true;
	}
}