<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: 6049a41 (2023-12-25 02:55:43)
//

defined('_QUICK_LP') or die("Access denied");

class panelQLPModule extends QLPSimpleObject{
	private static $_instance = null;
			
	private static function createInstance() {
		if (self::$_instance == null) {
			self::$_instance = new self();
		}
	}
	public static function getInstance() {
		self::createInstance();
		return self::$_instance;
	}
	private function __construct() {
		$this->initSimpleObject();
	}
	public function proceed($task=""){
		switch ($task){
			case "help":
				echo '<div class="panel-wrapper"><div class="row"><div class="col-sm-12">';
				require_once QLP_ENGINE."lang".DS."help_".QLPConfig::$defaultLang.".php";
				echo '</div></div></div>';
			break;
			case "license":
				ob_start();
				require_once QLP_SITE."redistribution".DS."licenses.txt";
				$license=ob_get_contents();
				ob_end_clean();
				require_once QLP_ENGINE."lang".DS."license_".QLPConfig::$defaultLang.".php";
				echo QLPText::toHtml($license);
				QLPUtil::halt();
			break;
			default:
				$icon_class = 'col-md-2 col-sm-3 col-xs-4';
				echo	'<div class="panel-wrapper"><div class="row">';
				echo	'	<div class="'.$icon_class.'"><a class="panel-icon icon_site" target="_blank" href="/"><span class="glyphicon glyphicon-globe"></span><span class="icon-title">'.QLPText::_("Site").'</span></a></div>';
				echo	'	<div class="'.$icon_class.'"><a class="panel-icon icon_settings" href="/manager.php?module=settings"><span class="glyphicon glyphicon-wrench"></span><span class="icon-title">'.QLPText::_("Settings").'</span></a></div>';
				echo	'	<div class="'.$icon_class.'"><a class="panel-icon icon_pages" href="/manager.php?module=pages"><span class="glyphicon glyphicon-file"></span><span class="icon-title">'.QLPText::_("Pages").'</span></a></div>';
				echo	'	<div class="'.$icon_class.'"><a class="panel-icon icon_filemanager" href="/manager.php?module=filemanager"><span class="glyphicon glyphicon-folder-open"></span><span class="icon-title">'.QLPText::_("Filemanager").'</span></a></div>';
				echo	'	<div class="'.$icon_class.'"><a class="panel-icon icon_widgets" href="/manager.php?module=widgets"><span class="glyphicon glyphicon-cog"></span><span class="icon-title">'.QLPText::_("Widgets").'</span></a></div>';
				echo	'	<div class="'.$icon_class.'"><a class="panel-icon icon_plugins" href="/manager.php?module=plugins"><span class="glyphicon glyphicon-cog"></span><span class="icon-title">'.QLPText::_("Plugins").'</span></a></div>';
				echo	'	<div class="'.$icon_class.'"><a class="panel-icon icon_menus" href="/manager.php?module=menus"><span class="glyphicon glyphicon-cog"></span><span class="icon-title">'.QLPText::_("Menus").'</span></a></div>';
				if(isset(QLPConfig::$experimentalFunctions) && QLPConfig::$experimentalFunctions) echo	'	<div class="'.$icon_class.'"><a class="panel-icon icon_menus" href="/manager.php?module=blacklist"><span class="glyphicon glyphicon-ban-circle"></span><span class="icon-title">'.QLPText::_("Blacklist").'</span></a></div>';
				if(isset(QLPConfig::$experimentalFunctions) && QLPConfig::$experimentalFunctions) echo	'	<div class="'.$icon_class.'"><a class="panel-icon icon_menus" href="/manager.php?module=constructor"><span class="glyphicon glyphicon-book"></span><span class="icon-title">'.QLPText::_("Templates").'</span></a></div>';
				echo	'	<div class="'.$icon_class.'"><a class="panel-icon icon_license qlp_popup" href="/manager.php?module=panel&amp;task=license"><span class="glyphicon glyphicon-home"></span><span class="icon-title">'.QLPText::_("About").'</span></a></div>';
				echo	'	<div class="'.$icon_class.'"><a class="panel-icon icon_help" href="/manager.php?module=panel&amp;task=help"><span class="glyphicon glyphicon-flag"></span><span class="icon-title">'.QLPText::_("Help").'</span></a></div>';
				echo	'	<div class="'.$icon_class.'"><a class="panel-icon icon_logout" href="/manager.php?module=login&amp;task=logout"><span class="glyphicon glyphicon-lock"></span><span class="icon-title">'.QLPText::_("Logout").'</span></a></div>';
				echo	'</div></div>';
			break;
		}
		return true;
	}
}