<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: 1e7c4a8 (2020-09-08 09:05:46)
//

defined('_QUICK_LP') or die("Access denied");

class consent4statisticsQLPPlugin extends QLPPlugin {
	protected $_events=array("system.fetchFooterBeforeAll", "system.fetchFooterAfterAll");	
	public function prepare(){
		$css="
			.consent4statistics{
				bottom:0;
				position:fixed;
				width:100%;
				padding:20px;
				background: rgba(188, 10, 0, 0.75);
				left: 0;
				color: #FFFFFF;
				z-index:49999;
				font-family: Helvetica, Arial, sans-serif;
				line-height: 17px;
			}
			.consent4statistics .warning_button{
				text-align:center;
				margin-top:30px;
			}
			.consent4statistics .warning_text{
				font-size: 12px;
			}
			@media (max-width: 768px){
				.consent4statistics .warning_button{
					margin-top:15px;
				}
			}
		";
		QLPTemplate::getInstance()->addStyle($css);
		$this->registerEvents();
	}
	protected function onRaise($event, &$data) {
		$html="";
		if(defined('_QLP_MANAGER')) return true;
		$pressed = QLPRequest::getBool("consent4statistics",false,"cookie");
		if($pressed) return true;
		switch($event){
			case "system.fetchFooterBeforeAll":
				$html.="<div class=\"consent4statistics\">";
				$html.="	<div class=\"container\">";
				$html.="		<div class=\"row\">";
				$html.="			<div class=\"col-sm-9\">";
				$html.="				<div class=\"warning_text\">";
				$html.="					<!--noindex-->";
				$html.=nl2br(QLPText::_("I agree to the collection of statistics"));
				$html.="					<!--/noindex-->";
				$html.="				</div>";
				$html.="			</div>";
				$html.="			<div class=\"col-sm-3\">";
				$html.="				<div class=\"warning_button\">";
				$html.="					<a class=\"linkButton btn btn-warning\" onclick=\"setConsent4statistics();\">".QLPText::_("I agree")."</a>";
				$html.="				</div>";
				$html.="			</div>";
				$html.="		</div>";
				$html.="	</div>";
				$html.="</div>";
				break;
			case "system.fetchFooterAfterAll":
				$html.="<script>";
				$html.="function setConsent4statistics(){
							if (checkCookies()==0) return false;
							$.cookie('consent4statistics', true, {expires: 365, path: '/'});
							$('.consent4statistics').hide();
						}";
				$html.="</script>";
				break;
		}
		$data.=$html;
		return true;
	}
}
?>