<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: b588f9d (2020-08-01 10:40:51)
//

defined('_QUICK_LP') or die("Access denied");

class menu_nsQLPWidget extends QLPWidget{
	public function prepare(){
		QLPTemplate::getInstance()->addScript("/redistribution/js/jquery.plugins/jquery.arbitrary-anchor".(QLP_MINIFIED_ASSETS ? ".min" : "").".js");
	}
	public function render($_render_count, $params){
		if(array_key_exists("scrolloffset", $params)) $scrolloffset=intval($params["scrolloffset"]); else $scrolloffset=0;
		if(array_key_exists("scrolloffsetElId", $params)) $scrolloffsetElId=$params["scrolloffsetElId"]; else $scrolloffsetElId="";
		if(array_key_exists("speed", $params)) $speed=intval($params["speed"]); else $speed=250;
		if(array_key_exists("class", $params)) $class=$params["class"]; else $class="";
		if(array_key_exists("label", $params)) $label=$params["label"]; else $label="Navigation";
		$id = "topmenu";
		$menus = parse_ini_file(QLP_DATA."menu".DS."menu.ini",false);
		$html = "";
		$content= "";
		foreach($menus as $key=>$value){
			$val=explode("||",$value);
			if(isset($val[0])){
				$content.= "<li>";
				if (substr($val[0], 0, 4)=="http"){
					if(isset($val[1]) && $val[1]=="new") $target=" target=\"_blank\""; else $target="";
					$content.= "<a".$target." href=\"".$val[0]."\">".$key."</a>";
				} else if(substr($val[0], 0, 11)=="javascript:"){
					$val[0]=substr($val[0],11);
					$content.= "<a onclick=\"".$val[0]."\">".$key."</a>";
				} else {
					$content.= "<a href=\"#.qlp-anchor-scroller-".$val[0]."\">".$key."</a>";
				}
				$content.= "</li>";
			}
		}
		if($content) {
			$html.="<div class=\"navbar-header\">";
			$html.="<span id=\"".$id."_label\" class=\"visible-xs\">".QLPText::_($label)."</span>";
			$html.="<button type=\"button\" class=\"btn btn-navbar navbar-toggle\" data-toggle=\"collapse\" data-target=\"#".$id."\">";
			$html.="<span class=\"glyphicon glyphicon-sort\"></span>";
			$html.="</button>";
			$html.="</div>";
			$html.="<div id=\"".$id."\" class=\"nav collapse navbar-collapse menu\">";
			$html.="<div class=\"inner_box_wrapper widget_menu_ns\"><ul>".$content."</ul></div>";
			$html.="</div>";
		}
		QLPTemplate::getInstance()->addScriptDeclaration("AA_CONFIG = { animationLength: ".$speed.", easingFunction: 'linear', scrollOffset:".$scrolloffset.", scrollOffsetElId:'".$scrolloffsetElId."' };");
		return $html;
	}
}