<?php
// Quick-LP
// Copyright (c) Radius17
// Web: https://quick-lp.ru
// Commercial license https://quick-lp.ru/license.txt
// THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// Revision: 6c4f116 (2020-08-05 20:38:32)
//

defined('_QUICK_LP') or die("Access denied");


class rotatorQLPWidget extends QLPWidget{
	public function prepare(){

	}
	public function render($_render_count, $params){
		$content = "";
		$_css = "";
		if(array_key_exists("width", $params)) $width=$params["width"]; else $width=950;
		if(array_key_exists("height", $params)) $height=intval($params["height"]); else $height=250;
		if(array_key_exists("quantity", $params)) $quantity=intval($params["quantity"]); else $quantity=5;
		if(array_key_exists("gallery", $params)) $gallery=$params["gallery"]; else $gallery="";
		if(array_key_exists("ind_type", $params)) $ind_type=$params["ind_type"]; else $ind_type="";
		// if(array_key_exists("trans_time", $params)) $trans_time=intval($params["trans_time"])*1000; else $trans_time=1000;
		if(array_key_exists("trans_type", $params)) $trans_type=$params["trans_type"]; else $trans_type="";
		if(array_key_exists("timer", $params) && intval($params["timer"])) $timer=intval($params["timer"])*1000; else $timer=5000;
		// if(array_key_exists("num_bts", $params)) $num_bts=intval($params["num_bts"]); else $num_bts=0;
		if(!$gallery) return $content;

		$slider_id="slider_".$_render_count;
		$data_path=QLP_DATA."gallery".DS.$gallery;
		$images=QLPImage::getImages($data_path, $quantity);
		if(count($images)){
			$html=""; $indicators=""; $i=0;
			foreach($images as $image){
				$img="/data/gallery/".$gallery."/".$image["filename"];
				$html.= '<div class="item'.($i==0 ? '  active' : '').'">';
				if($image["image_link"]) $html.=	'<a href="'.$image["image_link"].'" target="_blank">';
				$html.=	'<img class="photo" src="'.$img.'" title="'.$image["image_title"].'" alt="'.$image["image_alt"].'" />';
				if($image["image_link"]) $html.=	'</a>';
				if($image["image_title"]) $html.=	'<div class="carousel-caption">'.$image["image_title"].'</div>';
				$html.=	'</div>';
				$indicators.='<li data-target="#'.$slider_id.'" data-slide-to="'.$i.'"'.($i==0 ? '  class="active"' : '').'></li>';
				$i++;
			}
			$slider_subclass = "";
			$indicators_subclass = "";
			$control_subclass = "";
			switch($trans_type){
				case "slide":
					break;
				case "fade":
				default:
					$slider_subclass = ' carousel-fade';
					$control_subclass = ' hidden';
					$_css.= '
.carousel-fade .carousel-inner .item {
	transition: initial;
	transition-property: opacity;
	transition-duration: 1s;
}
.carousel-fade .carousel-inner .item,
.carousel-fade .carousel-inner .active.left,
.carousel-fade .carousel-inner .active.right {
	opacity: 0;
}
.carousel-fade .carousel-inner .active,
.carousel-fade .carousel-inner .next.left,
.carousel-fade .carousel-inner .prev.right {
	opacity: 1;
}
.carousel-fade .carousel-inner .next,
.carousel-fade .carousel-inner .prev,
.carousel-fade .carousel-inner .active.left,
.carousel-fade .carousel-inner .active.right {
	left: 0;
	-webkit-transform: translate3d(0, 0, 0);
	transform: translate3d(0, 0, 0);
}';
					break;
			}
			switch($ind_type){
				case "round":
				case "circle":
					break;
				case "quadro":
				default:
					$indicators_subclass = " carousel-indicators-2";
					if(count($images)) $_css.='.carousel .carousel-indicators-2 li{ width: '.(100/count($images)).'%; }';
					$_css.= '
.carousel .carousel-indicators.carousel-indicators-2{
	margin-top:0;
	margin-bottom:0;
	height:30px;
	padding-top:15px;
	padding-bottom:0;
	width: 50%;
	margin-left: -25%;
	line-height:8px;
	bottom: 0;
}
@media (min-width: 1200px){
	.carousel .carousel-indicators.carousel-indicators-2{
		width: 800px;
		margin-left: -400px;
	}
}
.carousel .carousel-indicators.carousel-indicators-2 li{
	height:15px;
	margin:0;
	border-radius:0px;
	border-top:0px none;
	border-left:1px solid #AAAAAA;
	border-right:0px none;
	border-bottom:0px none;
	background:#777777;
	opacity:0.8;
	transition:background 1s ease;
}
.carousel .carousel-indicators.carousel-indicators-2 li:last-child{
	border-right:1px solid #AAAAAA;
}
.carousel .carousel-indicators.carousel-indicators-2 li.active{
	border-top:0px none;
	background:#3B4348;
	height:15px;
}
';
					break;
			}
			
			$script="$(document).ready(function(){
					$('#".$slider_id."').carousel({
						interval: ".$timer."
					});
				});";

			$content .=
			'<div id="'.$slider_id.'" class="carousel slide'.$slider_subclass.'" data-ride="carousel">
				<!-- Indicators -->
				<ol class="carousel-indicators'.$indicators_subclass.'">';
			$content .=$indicators;
			$content .=
			'		</ol>
				<!-- Wrapper for slides -->
				<div class="carousel-inner">';
			$content .=$html;
			$content .=
			'	</div>
				<!-- Controls -->
				<a class="left carousel-control'.$control_subclass.'" href="#'.$slider_id.'" role="button" data-slide="prev">
					<span class="glyphicon glyphicon-chevron-left"></span>
				</a>
				<a class="right carousel-control'.$control_subclass.'" href="#'.$slider_id.'" role="button" data-slide="next">
					<span class="glyphicon glyphicon-chevron-right"></span>
				</a>
			</div>';

			if($_css) QLPTemplate::getInstance()->addStyle($_css);
			QLPTemplate::getInstance()->addScriptDeclaration($script);
		}
		return $content;
	}
}
?>